import { type LambdaEvent } from 'lambda-local';
import type { BuildFunction, GetBuildFunction, InvokeFunction, OnDirectoryScanFunction } from '../index.js';
import type NetlifyFunction from '../../netlify-function.js';
import { type NetlifyLambdaBuildResult } from './builders/netlify-lambda.js';
import { ZisiBuildResult } from './builders/zisi.js';
import type { WorkerMessage } from './worker.js';
export declare const name = "js";
export type JsBuildResult = ZisiBuildResult | NetlifyLambdaBuildResult;
export type JsInvokeFunctionResult = WorkerMessage | LambdaEvent;
export declare function getBuildFunction({ config, directory, errorExit, func, projectRoot, }: Parameters<GetBuildFunction<JsBuildResult>>[0]): Promise<(({ cache }: {
    cache?: import("../../memoized-build.js").BuildCommandCache<import("@netlify/zip-it-and-ship-it").FunctionResult>;
}) => Promise<ZisiBuildResult>) | BuildFunction<JsBuildResult>>;
export declare const invokeFunction: ({ context, environment, event, func, timeout, }: Parameters<InvokeFunction<JsBuildResult>>[0]) => Promise<JsInvokeFunctionResult>;
export declare const invokeFunctionDirectly: <BuildResult extends JsBuildResult>({ context, event, func, timeout, }: {
    context: Record<string, unknown>;
    event: Record<string, unknown>;
    func: NetlifyFunction<BuildResult>;
    timeout: number;
}) => Promise<LambdaEvent>;
export declare const onDirectoryScan: OnDirectoryScanFunction;
//# sourceMappingURL=index.d.ts.map